﻿////mr-bundler-ignore

function MrStartUI() {
  MrMUISecoundryColor = '#BF9E66';
  MrMUIPrimaryColor = '#F5F5F5';
  MrMUIGoogleTranslateDivID = "MRgoogle_translate_element";
  MrMUIToolWidth = "32vw";
  MrMUIToolMaxWidth = "800px";
  MrMUIToolMinWidth = "500px";
  MrCID = 64;
  MrArabicUIisOn =
    document.getElementsByTagName("html")[0].getAttribute("lang") == "ar" ||
    window.location.href
      .toString()
      .toLowerCase()
      .indexOf("/ar/".toLowerCase()) > -1 || jQuery('.language-lbl').text() == 'English';
  MrArabicFlag = "uae";

  MRUAPPrepareUI(
    [
      //"MrSignLanguage",
      "MrReadSpeakerFeature",
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrPage_Structure",
    ],
    {
    
      MrVisuallyImpaired: [
        { MrEnlarge_Fonts: 0 },
        { MrAnimation: 0 },
        { MrCursor_Helpers: 0 },
        { MrPage_saturation_control: 1 },
        { MrChangefont: 1 },
      ],
      Mrdyslexia: [{ MrAnimation: 0 }, { MrChangefont: 0 }],
      MrADHD: [
        { MrAnimation: 0 },
        { MrCursor_Helpers: 2 },
        { MrPage_saturation_control: 0 },
      ],
      MrSeizureAndEpilepsy: [
        { MrAnimation: 0 },
        { MrPage_saturation_control: 0 },
      ],
      MrColor_Blind: [
        { MrPage_saturation_control: 1 },
        { MrControl_Page_contrast: 0 },
      ],
      Mrcognitive_education: [
        { MrAnimation: 0 },
        { MrCursor_Helpers: 3 },
        { MrEnlarge_Fonts: 0 },
      ],
      MrImpaired_mobility: [{ MrAnimation: 0 }, { MrEnlarge_Fonts: 0 }],
    }
  );

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "(CTRL + U) مساعدة في استخدام الموقع";
    jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
  } else {
    MrIconMessage = "Assist using site (CTRL + U)";
    jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
  }
  MRReadSpeaserHelperClose = function(){
   //$('.rsbtn_closer')[0].click();
  }
  MRReadSpeaserHelper = function(){
   // $('.rsbtn_play')[0].click();
  }
  MrGotoArabicVersion = function () {
     try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){

      }
    if (!MrArabicUIisOn) {
      try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){

      }
     window.location.href = $('[data-original-title="Language selection"]').attr('href');
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
    try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){
        
      }
    if (MrArabicUIisOn) {
      try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
      }catch(err){
        
      }
      window.location.href = $('[data-original-title="اختيار اللغة"]').attr('href');
      MrUPChangeToolLAngToEN();
    }
  };
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 20px; right: 9px; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  jQuery("body").append(MrIconToAdd);
  jQuery("body").append("<style>.MrMUITabButtons:not(.MrMUILargeButton) {min-height: 160px;}</style>");


  jQuery("#MrAccessInHand").click(function () {
    MrToolCheckLicense();
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
    if (MrArabicUIisOn) {
      jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
      jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
    } else {
      jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
      jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
    }
  });
  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();

  if ($('.rsbtn_closer').length == 1) {
    jQuery('.rsbtn_play')[0].click();
  }
}
////endmr-bundler-ignore
function MrLoadAccessInHand(){
 setTimeout(function () {
   console.log('Loading Access in hand');
      MrStartUI();
    }, 500);
}
if (typeof (jQuery) == 'function') {
  jQuery(document).ready(function () {
   MrLoadAccessInHand();
  });
}else{
setTimeout(MrLoadAccessInHand,1000);
}
